Bug 694158 - mod_proxy with SSLProxyEngine truncates files fetched with chunked encoding Summary
mod_proxy with SSLProxyEngine truncates files fetched with chunked encoding S...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: httpd (Show other bugs)
5.6
x86_64 Linux
urgent Severity high
: rc
: ---
Assigned To: Joe Orton
BaseOS QE Security Team
: ZStream
Depends On: 691497
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-06 11:37 EDT by RHEL Product and Program Management
Modified: 2013-01-10 22:56 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
When the mod_proxy module was configured as a reverse proxy using HTTP over SSL/TLS to a back-end server, data from the back end could be incorrectly truncated. This update applies a backported patch that resolves this issue, and using a reverse proxy with HTTP over SSL/TLS no longer causes the Apache HTTP Server to serve corrupted data.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-04 02:55:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-04-06 11:37:07 EDT
This bug has been copied from bug #691497 and has been proposed
to be backported to 5.6 z-stream (EUS).
Comment 6 Jaromir Hradilek 2011-05-03 10:06:34 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When the mod_proxy module was configured as a reverse proxy using HTTP over SSL/TLS to a back-end server, data from the back end could be incorrectly truncated. This update applies a backported patch that resolves this issue, and using a reverse proxy with HTTP over SSL/TLS no longer causes the Apache HTTP Server to serve corrupted data.
Comment 7 errata-xmlrpc 2011-05-04 02:55:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0480.html

Note You need to log in before you can comment on or make changes to this bug.